KLDUNLOAD(8)

NAME
kldunload - unload a file from the kernel

SYNOPSIS
kldunload [-fv] -i id ...
kldunload [-fv] [-n] name ...

DESCRIPTION
The kldunload utility unloads a file which was previously loaded with kldload(8).

The following options are available:

-f  Force the unload. This ignores error returns to MOD_QUIESCE from the module and implies that the module should be unloaded even if it is currently in use. The users are left to cope as best they can.

-v  Be more verbose.

-i id
    Unload the file with this ID.

-n name
    Unload the file with this name.

name
    Unload the file with this name.

EXIT STATUS

SEE ALSO
kldunload(2), kldload(8), kldstat(8)

HISTORY
The kldunload utility first appeared in FreeBSD 3.0, replacing the lkm interface.

AUTHORS
Doug Rabson <dfr@FreeBSD.org>